Bug 49954 - [Qt] Avoid unnecessary calls to GraphicsContextPlatformPrivate::p()
Summary: [Qt] Avoid unnecessary calls to GraphicsContextPlatformPrivate::p()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Renata Hodovan
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2010-11-22 19:27 PST by Andreas Kling
Modified: 2010-12-17 04:05 PST (History)
1 user (show)

See Also:


Attachments
Proposed patch (1.77 KB, patch)
2010-12-15 09:47 PST, Andreas Kling
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Kling 2010-11-22 19:27:44 PST
Some methods in GraphicsContextQt.cpp call m_data->p() multiple times.
We should stash it in a QPainter* and reuse that.
Comment 1 Andreas Kling 2010-12-15 09:47:28 PST
Created attachment 76656 [details]
Proposed patch
Comment 2 WebKit Commit Bot 2010-12-16 05:33:50 PST
The commit-queue encountered the following flaky tests while processing attachment 76656 [details]:

inspector/timeline-paint.html bug 51182 (authors: pfeldman@chromium.org and yurys@chromium.org)
java/argument-to-object-type.html bug 51102 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
Comment 3 WebKit Commit Bot 2010-12-16 07:37:40 PST
Comment on attachment 76656 [details]
Proposed patch

Rejecting attachment 76656 [details] from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-3', 'apply-attachment', '--non-interactive', 76656]" exit_code: 2
Last 500 characters of output:
ailed to merge in the changes.
Patch failed at 0001 2010-12-16  Yury Semikhatsky  <yurys@chromium.org>

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at WebKitTools/Scripts/update-webkit line 132.

Failed to run "['WebKitTools/Scripts/update-webkit']" exit_code: 2

Full output: http://queues.webkit.org/results/7115058
Comment 4 Andreas Kling 2010-12-17 04:05:29 PST
Comment on attachment 76656 [details]
Proposed patch

Clearing flags on attachment: 76656

Committed r74248: <http://trac.webkit.org/changeset/74248>
Comment 5 Andreas Kling 2010-12-17 04:05:38 PST
All reviewed patches have been landed.  Closing bug.